%global debug_package %{nil}
%define devname %mklibname -d nuget

Name:           nuget
Version:        2.8.7
Release:        %mkrel 9
Summary:        Package manager for .Net/Mono development platform
License:        ASL 2.0
Group:          Development/C#
Url:            https://nuget.org/

%global tarballversion %{version}+md510+dhx1.orig
Source0:        https://download.mono-project.com/sources/%{name}/%{name}_%{tarballversion}.tar.bz2
Source1:        nuget-core.pc
Source2:        nuget.sh
Patch0:         nuget-fix_xdt_hintpath
BuildRequires:  pkgconfig(mono) 
BuildRequires:  mono-winfx

%description
NuGet is the package manager for the Microsoft
development platform including .NET. The NuGet client
tools provide the ability to produce and consume
packages. The NuGet Gallery is the central package
repository used by all package authors and consumers.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C#
Requires:       %{name} = %{version}-%{release}
Provides:	nuget-devel

%description -n %devname
Development package for %{name}

%prep
%setup -qn nuget-git
sed -i "s/\r//g" src/Core/Core.csproj
%patch0 -p1

# fix compile with Mono4
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

%build
%{?exp_env}
%{?env_options}

xbuild xdt/XmlTransform/Microsoft.Web.XmlTransform.csproj
xbuild src/Core/Core.csproj /p:Configuration="Mono Release"
xbuild src/CommandLine/CommandLine.csproj /p:Configuration="Mono Release"

%install
%{?env_options}
%{__mkdir_p} %{buildroot}%{_monodir}/nuget
%{__mkdir_p} %{buildroot}%{_libdir}/pkgconfig
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/
%{__install} -m0755 %{SOURCE2} %{buildroot}%{_bindir}/`basename -s .sh %{SOURCE2}`
sed -i -e 's/cli/mono/' %{buildroot}%{_bindir}/*
%{__install} -m0755 src/CommandLine/bin/Release/NuGet.Core.dll %{buildroot}%{_monodir}/nuget/
%{__install} -m0755 xdt/XmlTransform/bin/Debug/Microsoft.Web.XmlTransform.dll %{buildroot}%{_monodir}/nuget/
%{__install} -m0755 src/CommandLine/bin/Release/NuGet.exe %{buildroot}%{_monodir}/nuget/

%files
%{license} LICENSE.txt
%{_monodir}/nuget
%{_bindir}/*

%files -n %devname
%{_libdir}/pkgconfig/nuget-core.pc



%changelog
* Fri Apr 01 2022 umeabot <umeabot> 2.8.7-9.mga9
+ Revision: 1838502
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 2.8.7-8.mga8
+ Revision: 1629233
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 2.8.7-7.mga8
+ Revision: 1629118
- rebuild for new mono
- use %%license

* Thu Feb 13 2020 umeabot <umeabot> 2.8.7-6.mga8
+ Revision: 1515620
- Mageia 8 Mass Rebuild
+ guillomovitch <guillomovitch>
- rebuild for latest mono

* Sun Sep 23 2018 umeabot <umeabot> 2.8.7-4.mga7
+ Revision: 1299811
- Mageia 7 Mass Rebuild

* Fri Apr 08 2016 tv <tv> 2.8.7-3.mga6
+ Revision: 999319
- provides nuget-devel
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Dec 06 2015 tv <tv> 2.8.7-1.mga6
+ Revision: 908533
- imported package nuget


* Sun Dec 06 2015 Thierry Vignaud <tv@mageia.org> 2.8.7-1.mga6
- import from FC
